Package org.apache.sling.distribution.journal.bookkeeper

## Class BookKeeperConfig

- java.lang.Object
- - org.apache.sling.distribution.journal.bookkeeper.BookKeeperConfig

    public class BookKeeperConfig
    extends Object

### Constructor Summary

Constructors
`BookKeeperConfig​(String subAgentName, String subSlingId, boolean editable, int maxRetries, PackageHandling packageHandling, String packageNodeName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getMaxRetries()`
`PackageHandling` `getPackageHandling()`
`String` `getPackageNodeName()`
`String` `getSubAgentName()`
`String` `getSubSlingId()`
`boolean` `isEditable()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BookKeeperConfig

    public BookKeeperConfig​(String subAgentName,
                            String subSlingId,
                            boolean editable,
                            int maxRetries,
                            PackageHandling packageHandling,
                            String packageNodeName)

### Method Detail

#### getSubAgentName

    public String getSubAgentName()

#### getSubSlingId

    public String getSubSlingId()

#### isEditable

    public boolean isEditable()

#### getMaxRetries

    public int getMaxRetries()

#### getPackageHandling

    public PackageHandling getPackageHandling()

#### getPackageNodeName

    public String getPackageNodeName()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`